GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::network::AAssociateACPDU Class Reference

AAssociateACPDU Table 9-17 ASSOCIATE-AC PDU fields. More...

`#include <gdcmAAssociateACPDU.h>`

Inheritance diagram for gdcm::network::AAssociateACPDU:
[legend]
Collaboration diagram for gdcm::network::AAssociateACPDU:
[legend]

## Public Types

typedef std::vector < PresentationContextAC > ::size_type | SizeType

## Public Member Functions

| AAssociateACPDU ()
void | AddPresentationContextAC (PresentationContextAC const &pcac)
SizeType | GetNumberOfPresentationContextAC () const
const PresentationContextAC & | GetPresentationContextAC (SizeType i)
const UserInformation & | GetUserInformation () const
void | InitFromRQ (AAssociateRQPDU const &rqpdu)
bool | IsLastFragment () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
SizeType | Size () const
const std::ostream & | Write (std::ostream &os) const
Public Member Functions inherited from gdcm::network::BasePDU
virtual | ~BasePDU ()

## Protected Member Functions

void | SetCalledAETitle (const char calledaetitle[16])
void | SetCallingAETitle (const char callingaetitle[16])

## Friends

class | AAssociateRQPDU

## Detailed Description

AAssociateACPDU Table 9-17 ASSOCIATE-AC PDU fields.

## Member Typedef Documentation

typedef std::vector<PresentationContextAC>::size_type gdcm::network::AAssociateACPDU::SizeType

## Constructor & Destructor Documentation

gdcm::network::AAssociateACPDU::AAssociateACPDU | ( |  | ) |

## Member Function Documentation

void gdcm::network::AAssociateACPDU::AddPresentationContextAC | ( | PresentationContextAC const & | pcac | ) |

SizeType gdcm::network::AAssociateACPDU::GetNumberOfPresentationContextAC | ( |  | ) | const

inline

const PresentationContextAC& gdcm::network::AAssociateACPDU::GetPresentationContextAC | ( | SizeType | i | ) |

inline

const UserInformation& gdcm::network::AAssociateACPDU::GetUserInformation | ( |  | ) | const

inline

void gdcm::network::AAssociateACPDU::InitFromRQ | ( | AAssociateRQPDU const & | rqpdu | ) |

bool gdcm::network::AAssociateACPDU::IsLastFragment | ( |  | ) | const

inlinevirtual

Implements gdcm::network::BasePDU.

void gdcm::network::AAssociateACPDU::Print | ( | std::ostream & | os | ) | const

virtual

Implements gdcm::network::BasePDU.

std::istream& gdcm::network::AAssociateACPDU::Read | ( | std::istream & | is | ) |

virtual

Implements gdcm::network::BasePDU.

void gdcm::network::AAssociateACPDU::SetCalledAETitle | ( | const char | calledaetitle[16] | ) |

protected

void gdcm::network::AAssociateACPDU::SetCallingAETitle | ( | const char | callingaetitle[16] | ) |

protected

SizeType gdcm::network::AAssociateACPDU::Size | ( |  | ) | const

virtual

Implements gdcm::network::BasePDU.

const std::ostream& gdcm::network::AAssociateACPDU::Write | ( | std::ostream & | os | ) | const

virtual

Implements gdcm::network::BasePDU.

## Friends And Related Function Documentation

friend class AAssociateRQPDU

friend

The documentation for this class was generated from the following file:

- gdcmAAssociateACPDU.h